<template>
  <v-card
    elevation="0"
  >
    <!-- jlu: {{jlu}} -->
    <v-row
      align="start"
    >
      <v-col
        class="d-flex mx-3"
        cols="5"
      >
        <v-autocomplete
          v-model="jlu"
          :items="jluList"
          item-value="jluId"
          item-text="jlu"
          label="Select a JLU"
          clearable
          @change="jluSelected()"
        />
      </v-col>
    </v-row>
  </v-card>
</template>

<script>

import { cloneDeep, orderBy } from 'lodash';
import { get } from 'kyd-utils';

export default {
  name: 'Home',
  components: {
  },
  props: {
    isList: {
      type: Boolean,
      default: false,
    },
    jluProp: {
      type: String,
      default: '',
    },
  },
  data: () => ({
    show: false,
    pageCount: 0,
    itemsPerPage: 10,
    jlus: [],
    jlu: '',
  }),
  computed: {
    jluList() {
      let j = cloneDeep(this.jlus);
      j = j.map((x) => ({
        jluId: x.jluId,
        jlu: x.jlu,
      }));
      j = orderBy(j, 'jlu', 'ASC');
      return j;
    },
  },
  watch: {
    jluProp: {
      handler(v) {
        // console.log('the page has changed', nv);
        this.jlu = v;
      },
    },
  },
  created() {
    this.getJlus();
  },
  methods: {
    jluSelected() {
      const j = this.jlu;
      if (this.isList === false) {
        this.$emit('jluSelected', j);
      } else {
        // console.log('its a new JLU', j);
        this.$emit('jluNew', j);
      }
    },
    async getJlus() {
      const response = await get('/jlus');
      // console.log('the resp', response);
      this.jlus = response.data;
    },
  },
};

</script>
